﻿using System;

using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;

using Platform.Logging.HttpLogger;

namespace Platform.Logging
{
    public static class PlatformHttpLoggerExtensions 
    {
        public static ILoggingBuilder AddPlatformHttpLogger( this ILoggingBuilder loggerFactory, IConfigurationSection section )
        {
            try
            {
                var provider = new PlatformHttpLoggerProvider(section);
                loggerFactory.AddProvider(provider);
            }
            catch (Exception ex)
            {
                SimpleFileLogger.WriteLine("Failed to add Platform Http Logger: {0}", ex.Message);
            }

            return loggerFactory;
        }
    }
}
